When enabled, this update triggers exactly one notification through the same funnel as a new comment, useful for notifying once when a progress comment finishes. Defaults to false, is never persisted onto the comment, and must be sent at this root level, not inside updatedData.
Use this for self-hosting comments data. Set this as true if this comment will have text content. Sometimes, comments might only have attachments and in that case, set this as false.
Replaces the stored progress object outright; it is not deep-merged, so send the full object you want stored. See CommentProgress for the full shape. steps is capped at 100 entries.
Custom metadata for the attachment (e.g., dimensions, timestamps, etc.)
Every update rewrites the entire annotation document, so keep progress updates to roughly one write per second per comment. Send a step’s final label rather than every intermediate token.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Velt","colors":{"primary":"#272728","light":"#D5D5D5","dark":"#000000"},"logo":{"light":"https://mintcdn.com/velt/gY7ilEx2g4g3-HVe/velt-logo-big-light.png?fit=max\u0026auto=format\u0026n=gY7ilEx2g4g3-HVe\u0026q=85\u0026s=c75fd62a074f53174a364509b4363fdc","dark":"https://mintcdn.com/velt/gY7ilEx2g4g3-HVe/velt-logo-big.png?fit=max\u0026auto=format\u0026n=gY7ilEx2g4g3-HVe\u0026q=85\u0026s=3b5f452918e68f127b7dcae71c396463","href":"https://docs.velt.dev"},"favicon":"https://mintcdn.com/velt/gY7ilEx2g4g3-HVe/velt-favi.png?fit=max\u0026auto=format\u0026n=gY7ilEx2g4g3-HVe\u0026q=85\u0026s=5ddfb042b3fd320882626c440411bd95","api":{"playground":{"display":"interactive"}},"appearance":{"default":"dark"},"background":{"color":{"dark":"#090014"}},"navbar":{"primary":{"type":"button","label":"Get API Key","href":"https://console.velt.dev/"}},"footer":{"socials":{"twitter":"https://twitter.com/veltjs","linkedin":"https://www.linkedin.com/company/veltjs"}},"search":{"prompt":"Search or ask..."},"seo":{"metatags":{"og:image":"https://firebasestorage.googleapis.com/v0/b/snippyly.appspot.com/o/external%2Fvelt_docs.png?alt=media\u0026token=9e4502da-66ef-4005-9124-dbc76f04b1fd","twitter:image":"https://firebasestorage.googleapis.com/v0/b/snippyly.appspot.com/o/external%2Fvelt_docs.png?alt=media\u0026token=9e4502da-66ef-4005-9124-dbc76f04b1fd","twitter:card":"summary_large_image"},"indexing":"all"},"integrations":{"intercom":{"appId":"fxx14qnk"},"mixpanel":{"projectToken":"6fe5c5cd3adeb341288776482e7bb147"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"velt","hasAudioNarration":false,"actualSubdomain":"velt","customDomains":["velt.dev"],"gitSource":{"type":"github","owner":"velt-js","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aeaec9cd4a2465447e7dd9d","collectionId":"c55a8d84-f3bd-4e45-aa44-82e3d31c316c","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeaec9cd4a2465447e7dd9d"},"feedback":{"thumbs":true,"edits":true,"issues":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aeaec9cd4a2465447e7dd9d","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":218},{"language":"default","tag":"REST APIs","count":215},{"language":"default","tag":"v2","count":170},{"language":"default","tag":"Documentation","count":168},{"language":"default","tag":"UI Customization","count":125},{"language":"default","tag":"Comments","count":94},{"language":"default","tag":"Release Notes","count":90},{"language":"default","tag":"Components: Async Collaboration","count":75},{"language":"default","tag":"Async Collaboration","count":62},{"language":"default","tag":"Realtime Collaboration","count":46}],"searchSettings":{"showContentSnippets":true,"isFiltersEnabled":true}},"assistantConfig":{"enableAskAiButton":true,"enableStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"rakesh@velt.dev","showHelpButton":true}},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":""},{"filePath":"style.css","content":"::-webkit-scrollbar{display:none}*{-ms-overflow-style:none;scrollbar-width:none}th{text-align:left}.update-container .relative{max-width:525px!important}#table-of-contents-content{overflow-x:clip;height:100%}"},{"filePath":"public/custom.css","content":""}],"page":{"pagePath":"api-reference/rest-apis/v2/comments-feature/comments/update-comments","slug":"/api-reference/rest-apis/v2/comments-feature/comments/update-comments","pageMetadata":{"title":"Update Comments","api":"POST https://api.velt.dev/v2/commentannotations/comments/update","description":null,"href":"/api-reference/rest-apis/v2/comments-feature/comments/update-comments"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Note,ParamField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Use this API to update comments within a specific CommentAnnotation.`}),`\n`,_jsx(Heading,{level:`1`,id:`endpoint`,children:`Endpoint`}),`\n`,_jsx(_components.p,{children:_jsx(_components.code,{children:`POST https://api.velt.dev/v2/commentannotations/comments/update`})}),`\n`,_jsx(Heading,{level:`1`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`x-velt-api-key`,type:`string`,required:true,id:`param-x-velt-api-key`,children:_jsx(_components.p,{children:`Your API key.`})}),`\n`,_jsx(ParamField,{header:`x-velt-auth-token`,type:`string`,required:true,id:`param-x-velt-auth-token`,children:_jsxs(_components.p,{children:[`Your `,_jsx(_components.a,{href:`/security/auth-tokens`,children:`Auth Token`}),`.`]})}),`\n`,_jsx(Heading,{level:`1`,id:`body`,children:`Body`}),`\n`,_jsx(Heading,{level:`4`,id:`params`,children:`Params`}),`\n`,_jsx(ParamField,{body:`data`,type:`object`,required:true,id:`param-data`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`organizationId`,type:`string`,required:true,id:`param-organization-id`,children:_jsx(_components.p,{children:`Organization ID`})}),_jsx(ParamField,{body:`documentId`,type:`string`,required:true,id:`param-document-id`,children:_jsx(_components.p,{children:`Document ID`})}),_jsx(ParamField,{body:`annotationId`,type:`string`,required:true,id:`param-annotation-id`,children:_jsx(_components.p,{children:`Comment Annotation ID`})}),_jsx(ParamField,{body:`commentIds`,type:`number[]`,required:true,id:`param-comment-ids`,children:_jsx(_components.p,{children:`Comment IDs`})}),_jsx(ParamField,{body:`triggerNotification`,type:`boolean`,id:`param-trigger-notification`,children:_jsxs(_components.p,{children:[`When enabled, this update triggers exactly one notification through the same funnel as a new comment, useful for notifying once when a progress comment finishes. Defaults to `,_jsx(_components.code,{children:`false`}),`, is never persisted onto the comment, and must be sent at this root level, not inside `,_jsx(_components.code,{children:`updatedData`}),`.`]})}),_jsxs(ParamField,{body:`updatedData`,type:`object`,required:true,id:`param-updated-data`,children:[_jsx(_components.p,{children:`Comment data`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`commentText`,type:`string`,id:`param-comment-text`,children:_jsx(_components.p,{children:`Comment content in plain text string`})}),_jsx(ParamField,{body:`commentHtml`,type:`string`,id:`param-comment-html`,children:_jsx(_components.p,{children:`Comment content in HTML string`})}),_jsx(ParamField,{body:`context`,type:`object`,id:`param-context`,children:_jsx(_components.p,{children:`Custom key/value metadata object. This is used to store any additional information about the comment.`})}),_jsx(ParamField,{body:`isCommentResolverUsed`,type:`boolean`,id:`param-is-comment-resolver-used`,children:_jsx(_components.p,{children:`Use this for self-hosting comments data. Set this as true if you are comments resolver data provider in the SDK.`})}),_jsx(ParamField,{body:`isCommentTextAvailable`,type:`boolean`,id:`param-is-comment-text-available`,children:_jsx(_components.p,{children:`Use this for self-hosting comments data. Set this as true if this comment will have text content. Sometimes, comments might only have attachments and in that case, set this as false.`})}),_jsx(ParamField,{body:`progress`,type:`CommentProgress`,id:`param-progress`,children:_jsxs(_components.p,{children:[`Replaces the stored `,_jsx(_components.code,{children:`progress`}),` object outright; it is not deep-merged, so send the full object you want stored. See `,_jsx(_components.a,{href:`/api-reference/sdk/models/data-models#commentprogress`,children:`CommentProgress`}),` for the full shape. `,_jsx(_components.code,{children:`steps`}),` is capped at 100 entries.`]})}),_jsx(ParamField,{body:`actions`,type:`CommentAction[]`,id:`param-actions`,children:_jsxs(_components.p,{children:[`Replaces the stored `,_jsx(_components.code,{children:`actions`}),` array outright. Capped at 20 entries. See `,_jsx(_components.a,{href:`/api-reference/sdk/models/data-models#commentaction`,children:`CommentAction`}),` for the full shape.`]})}),_jsx(ParamField,{body:`from`,type:`User`,required:true,id:`param-from`,children:_jsx(_components.p,{children:`User object from whom the comment is added`})}),_jsxs(ParamField,{body:`taggedUserContacts`,type:`object[]`,id:`param-tagged-user-contacts`,children:[_jsx(_components.p,{children:`Array of tagged user contacts`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`text`,type:`string`,required:true,id:`param-text`,children:_jsx(_components.p,{children:`Display text of the tagged user (e.g. “@Username”)`})}),_jsx(ParamField,{body:`userId`,type:`string`,required:true,id:`param-user-id`,children:_jsx(_components.p,{children:`User ID of the tagged user`})}),_jsx(ParamField,{body:`contact`,type:`object`,required:true,id:`param-contact`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`email`,type:`string`,required:true,id:`param-email`,children:_jsx(_components.p,{children:`Email of the tagged user`})}),_jsx(ParamField,{body:`name`,type:`string`,required:true,id:`param-name`,children:_jsx(_components.p,{children:`Name of the tagged user`})}),_jsx(ParamField,{body:`userId`,type:`string`,required:true,id:`param-user-id-1`,children:_jsx(_components.p,{children:`User ID of the tagged user`})})]})})]})]}),_jsxs(ParamField,{body:`attachments`,type:`object[]`,id:`param-attachments`,children:[_jsxs(_components.p,{children:[`Array of attachments to include with the comment. See `,_jsx(_components.a,{href:`/api-reference/sdk/models/data-models#attachment`,children:`Attachment`}),` for full schema details.`]}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`attachmentId`,type:`number`,required:true,id:`param-attachment-id`,children:_jsx(_components.p,{children:`Unique identifier for the attachment`})}),_jsx(ParamField,{body:`name`,type:`string`,id:`param-name-1`,children:_jsx(_components.p,{children:`File name of the attachment`})}),_jsx(ParamField,{body:`bucketPath`,type:`string`,id:`param-bucket-path`,children:_jsx(_components.p,{children:`Path to the file in storage bucket`})}),_jsx(ParamField,{body:`size`,type:`number`,id:`param-size`,children:_jsx(_components.p,{children:`File size in bytes`})}),_jsx(ParamField,{body:`type`,type:`string`,id:`param-type`,children:_jsx(_components.p,{children:`File type (e.g., “image”, “video”, “document”)`})}),_jsx(ParamField,{body:`url`,type:`string`,id:`param-url`,children:_jsx(_components.p,{children:`Download URL of the attachment`})}),_jsx(ParamField,{body:`thumbnail`,type:`string`,id:`param-thumbnail`,children:_jsx(_components.p,{children:`Thumbnail URL of the attachment`})}),_jsx(ParamField,{body:`mimeType`,type:`string`,id:`param-mime-type`,children:_jsx(_components.p,{children:`MIME type of the attachment (e.g., “image/png”, “video/mp4”)`})}),_jsx(ParamField,{body:`metadata`,type:`object`,id:`param-metadata`,children:_jsx(_components.p,{children:`Custom metadata for the attachment (e.g., dimensions, timestamps, etc.)`})})]})]})]})]})]})}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`Every update rewrites the entire annotation document, so keep `,_jsx(_components.code,{children:`progress`}),` updates to roughly one write per second per comment. Send a step’s final label rather than every intermediate token.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`example-requests`,children:_jsx(_components.strong,{children:`Example Requests`})}),`\n`,_jsx(Heading,{level:`4`,id:`1-update-comment-in-a-commentannotation-by-organizationid-documentid-annotationid-and-commentid`,children:`1. Update comment in a CommentAnnotation by organizationId, documentId, annotationId and commentId`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`15`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`15`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"organizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourOrganizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"documentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourDocumentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"annotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourAnnotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentIds\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 153783`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 607395`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updatedData\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentText\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Sample Updated Comment\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentHtml\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003cdiv>Hello Updated\u003c/div>\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`4`,id:`2-update-comment-with-attachments`,children:`2. Update comment with attachments`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`31`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`31`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"organizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourOrganizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"documentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourDocumentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"annotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourAnnotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentIds\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 123456`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updatedData\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentText\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Updated comment text with new attachments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentHtml\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003cp>Updated comment text with \u003cem>new attachments\u003c/em>\u003c/p>\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"attachments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"attachmentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`100001`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"updated-screenshot.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"bucketPath\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"attachments/org-123/doc-456/updated-screenshot.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"size\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1536000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"image\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://storage.googleapis.com/bucket/updated-screenshot.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"thumbnail\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://storage.googleapis.com/bucket/updated-screenshot_thumb.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"mimeType\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"image/png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"metadata\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"width\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1920`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"height\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1080`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updatedAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1696122000000`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`4`,id:`3-complete-a-progress-comment-and-trigger-a-notification`,children:`3. Complete a progress comment and trigger a notification`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`18`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`18`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"organizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourOrganizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"documentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourDocumentId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"annotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"yourAnnotationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentIds\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 153783`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"triggerNotification\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updatedData\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"commentText\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Here is the answer.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"progress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"completed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"actions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"approve\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"label\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Approve\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`1`,id:`response`,children:`Response`}),`\n`,_jsx(Heading,{level:`4`,id:`success-response`,children:`Success Response`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`13`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`13`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"result\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Comment updated successfully.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"607395\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`607395`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Updated successfully\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`4`,id:`failure-response`,children:`Failure Response`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`6`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ERROR_MESSAGE\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"INVALID_ARGUMENT\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update Comments","api":"POST https://api.velt.dev/v2/commentannotations/comments/update","description":null,"href":"/api-reference/rest-apis/v2/comments-feature/comments/update-comments"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[333,337,",ResponseExample}=_c"],[602,617,"if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);return _jsxs(_F"],[35342,35770,",`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:``,numberOfLines:`13`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`13`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"result\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Comment updated successfully.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"607395\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 607395`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Updated successfully\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}"]]},"mdxExtracts":{"tableOfContents":[{"title":"Endpoint","slug":"endpoint","depth":1,"children":[]},{"title":"Headers","slug":"headers","depth":1,"children":[]},{"title":"Body","slug":"body","depth":1,"children":[{"title":"Params","slug":"params","depth":4,"children":[]}]},{"title":"Example Requests","slug":"example-requests","depth":2,"children":[{"title":"1. Update comment in a CommentAnnotation by organizationId, documentId, annotationId and commentId","slug":"1-update-comment-in-a-commentannotation-by-organizationid-documentid-annotationid-and-commentid","depth":4,"children":[]},{"title":"2. Update comment with attachments","slug":"2-update-comment-with-attachments","depth":4,"children":[]},{"title":"3. Complete a progress comment and trigger a notification","slug":"3-complete-a-progress-comment-and-trigger-a-notification","depth":4,"children":[]}]},{"title":"Response","slug":"response","depth":1,"children":[{"title":"Success Response","slug":"success-response","depth":4,"children":[]},{"title":"Failure Response","slug":"failure-response","depth":4,"children":[]}]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"javascript\">\u003ccode language=\"javascript\" numberOfLines=\"13\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"result\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Comment updated successfully.\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">:\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"607395\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">:\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">:\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">:\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 607395\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Updated successfully\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Update Comments","path":"/v2/commentannotations/comments/update","servers":[{"url":"https://api.velt.dev"}],"method":"post","request":{"security":[],"parameters":{"query":{},"header":{"x-velt-api-key":{"schema":[{"type":"string","description":"Your API key.","required":true}]},"x-velt-auth-token":{"schema":[{"type":"string","description":"Your Auth Token .","required":true}]}},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"data":[{"type":"object","properties":{"organizationId":[{"type":"string","description":"Organization ID","required":true}],"documentId":[{"type":"string","description":"Document ID","required":true}],"annotationId":[{"type":"string","description":"Comment Annotation ID","required":true}],"commentIds":[{"type":"array","items":[{"type":"number"}],"description":"Comment IDs","required":true}],"triggerNotification":[{"type":"boolean","description":"When enabled, this update triggers exactly one notification through the same funnel as a new comment, useful for notifying once when a progress comment finishes. Defaults to `false` , is never persisted onto the comment, and must be sent at this root level, not inside `updatedData` ."}],"updatedData":[{"type":"object","properties":{"commentText":[{"type":"string","description":"Comment content in plain text string"}],"commentHtml":[{"type":"string","description":"Comment content in HTML string"}],"context":[{"type":"object","properties":{},"description":"Custom key/value metadata object. This is used to store any additional information about the comment."}],"isCommentResolverUsed":[{"type":"boolean","description":"Use this for self-hosting comments data. Set this as true if you are comments resolver data provider in the SDK."}],"isCommentTextAvailable":[{"type":"boolean","description":"Use this for self-hosting comments data. Set this as true if this comment will have text content. Sometimes, comments might only have attachments and in that case, set this as false."}],"progress":[{"type":"object","properties":{},"description":"Replaces the stored `progress` object outright; it is not deep-merged, so send the full object you want stored. See CommentProgress for the full shape. `steps` is capped at 100 entries."}],"actions":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"Replaces the stored `actions` array outright. Capped at 20 entries. See CommentAction for the full shape."}],"from":[{"type":"object","properties":{},"description":"User object from whom the comment is added","required":true}],"taggedUserContacts":[{"type":"array","items":[{"type":"object","properties":{"text":[{"type":"string","description":"Display text of the tagged user (e.g. “@Username”)","required":true}],"userId":[{"type":"string","description":"User ID of the tagged user","required":true}],"contact":[{"type":"object","properties":{"email":[{"type":"string","description":"Email of the tagged user","required":true}],"name":[{"type":"string","description":"Name of the tagged user","required":true}],"userId":[{"type":"string","description":"User ID of the tagged user","required":true}]},"required":true}]}}],"description":"Array of tagged user contacts"}],"attachments":[{"type":"array","items":[{"type":"object","properties":{"attachmentId":[{"type":"number","description":"Unique identifier for the attachment","required":true}],"name":[{"type":"string","description":"File name of the attachment"}],"bucketPath":[{"type":"string","description":"Path to the file in storage bucket"}],"size":[{"type":"number","description":"File size in bytes"}],"type":[{"type":"string","description":"File type (e.g., “image”, “video”, “document”)"}],"url":[{"type":"string","description":"Download URL of the attachment"}],"thumbnail":[{"type":"string","description":"Thumbnail URL of the attachment"}],"mimeType":[{"type":"string","description":"MIME type of the attachment (e.g., “image/png”, “video/mp4”)"}],"metadata":[{"type":"object","properties":{},"description":"Custom metadata for the attachment (e.g., dimensions, timestamps, etc.)"}]}}],"description":"Array of attachments to include with the comment. See Attachment for full schema details."}]},"description":"Comment data","required":true}]},"required":true}]}}],"examples":{"example":{"value":{"data":{"organizationId":"\u003cstring>","documentId":"\u003cstring>","annotationId":"\u003cstring>","commentIds":[123],"triggerNotification":true,"updatedData":{"commentText":"\u003cstring>","commentHtml":"\u003cstring>","context":{},"isCommentResolverUsed":true,"isCommentTextAvailable":true,"progress":{},"actions":[{}],"from":{},"taggedUserContacts":[{"text":"\u003cstring>","userId":"\u003cstring>","contact":{"email":"\u003cstring>","name":"\u003cstring>","userId":"\u003cstring>"}}],"attachments":[{"attachmentId":123,"name":"\u003cstring>","bucketPath":"\u003cstring>","size":123,"type":"\u003cstring>","url":"\u003cstring>","thumbnail":"\u003cstring>","mimeType":"\u003cstring>","metadata":{}}]}}}}}}}},"response":{},"deprecated":false}},"jsLinks":["/docs/_mintlify/custom/velt/752c38235fc975ab/reb2b-tracking.js","/docs/_mintlify/custom/velt/39475307ed77f9b2/signals-tracking.js"],"subdomain":"velt","siteName":"Velt","title":"Update Comments - Velt","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-29T20:56:02.057Z","originalFileLocation":"api-reference/rest-apis/v2/comments-feature/comments/update-comments.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Velt\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update Comments - Velt\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Velt\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/update-comments\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://firebasestorage.googleapis.com/v0/b/snippyly.appspot.com/o/external%2Fvelt_docs.png?alt=media\u0026amp;token=9e4502da-66ef-4005-9124-dbc76f04b1fd\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update Comments - Velt\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://firebasestorage.googleapis.com/v0/b/snippyly.appspot.com/o/external%2Fvelt_docs.png?alt=media\u0026amp;token=9e4502da-66ef-4005-9124-dbc76f04b1fd\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/velt/XJwux-wDtXKfbtc-/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Velt\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#272728\">\u003clink data-mint-head rel=\"canonical\" href=\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/update-comments\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/rest-apis/v2/comments-feature/comments/update-comments.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://velt.dev/#organization\",\"name\":\"Velt\",\"url\":\"https://velt.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/velt/gY7ilEx2g4g3-HVe/velt-logo-big-light.png?fit=max\u0026auto=format\u0026n=gY7ilEx2g4g3-HVe\u0026q=85\u0026s=c75fd62a074f53174a364509b4363fdc\"}},{\"@type\":\"WebSite\",\"@id\":\"https://velt.dev/docs#website\",\"name\":\"Velt\",\"url\":\"https://velt.dev/docs\",\"publisher\":{\"@id\":\"https://velt.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/update-comments#webpage\",\"url\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/update-comments\",\"name\":\"Update Comments\",\"dateModified\":\"2026-10-29T20:56:02.057Z\",\"isPartOf\":{\"@id\":\"https://velt.dev/docs#website\"},\"breadcrumb\":{\"@id\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/update-comments#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/update-comments#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"REST APIs\",\"item\":\"https://velt.dev/docs/api-reference/rest-apis/v2/organizations/add-organizations\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"v2\",\"item\":\"https://velt.dev/docs/api-reference/rest-apis/v2/organizations/add-organizations\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Comments Feature\",\"item\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comment-annotations/add-comment-annotations\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Comments\",\"item\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/add-comments\"},{\"@type\":\"ListItem\",\"position\":5,\"name\":\"Update Comments\",\"item\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/update-comments\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/update-comments#apireference\",\"headline\":\"Update Comments\",\"name\":\"Update Comments\",\"url\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/update-comments\",\"mainEntityOfPage\":{\"@id\":\"https://velt.dev/docs/api-reference/rest-apis/v2/comments-feature/comments/update-comments#webpage\"},\"image\":\"https://firebasestorage.googleapis.com/v0/b/snippyly.appspot.com/o/external%2Fvelt_docs.png?alt=media\u0026token=9e4502da-66ef-4005-9124-dbc76f04b1fd\",\"dateModified\":\"2026-10-29T20:56:02.057Z\",\"publisher\":{\"@id\":\"https://velt.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://velt.dev/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Velt\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Velt","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/get-started/overview"}]},{"tab":"UI Customization","pages":[{"title":"UI Customization","href":"/ui-customization/overview"}]},{"tab":"API Reference","groups":[{"group":"REST APIs","pages":[{"group":"v2","pages":[{"group":"Organizations","pages":[{"title":"Add Organizations","api":"POST https://api.velt.dev/v2/organizations/add","href":"/api-reference/rest-apis/v2/organizations/add-organizations"},{"title":"Get Organizations","api":"POST https://api.velt.dev/v2/organizations/get","href":"/api-reference/rest-apis/v2/organizations/get-organizations-v2"},{"title":"Update Organizations","api":"POST https://api.velt.dev/v2/organizations/update","href":"/api-reference/rest-apis/v2/organizations/update-organizations"},{"title":"Delete Organizations","api":"POST https://api.velt.dev/v2/organizations/delete","href":"/api-reference/rest-apis/v2/organizations/delete-organizations"},{"title":"Update Disabled State for Organizations","api":"POST https://api.velt.dev/v2/organizations/access/disablestate/update","href":"/api-reference/rest-apis/v2/organizations/update-organization-disable-state"}]},{"group":"Folders","pages":[{"title":"Add Folder","api":"POST https://api.velt.dev/v2/organizations/folders/add","href":"/api-reference/rest-apis/v2/folders/add-folder"},{"title":"Get Folders","api":"POST https://api.velt.dev/v2/organizations/folders/get","href":"/api-reference/rest-apis/v2/folders/get-folders"},{"title":"Update Folder","api":"POST https://api.velt.dev/v2/organizations/folders/update","href":"/api-reference/rest-apis/v2/folders/update-folder"},{"title":"Delete Folder","api":"POST https://api.velt.dev/v2/organizations/folders/delete","href":"/api-reference/rest-apis/v2/folders/delete-folder"},{"title":"Update Access for Folders","api":"POST https://api.velt.dev/v2/organizations/folders/access/update","href":"/api-reference/rest-apis/v2/folders/update-folder-access"}]},{"group":"Documents","pages":[{"title":"Add Documents","api":"POST https://api.velt.dev/v2/organizations/documents/add","href":"/api-reference/rest-apis/v2/documents/add-documents"},{"title":"Get Documents","api":"POST https://api.velt.dev/v2/organizations/documents/get","href":"/api-reference/rest-apis/v2/documents/get-documents-v2"},{"title":"Update Documents","api":"POST https://api.velt.dev/v2/organizations/documents/update","href":"/api-reference/rest-apis/v2/documents/update-documents"},{"title":"Delete Documents","api":"POST https://api.velt.dev/v2/organizations/documents/delete","href":"/api-reference/rest-apis/v2/documents/delete-documents"},{"title":"Move Documents","api":"POST https://api.velt.dev/v2/organizations/documents/move","href":"/api-reference/rest-apis/v2/documents/move-documents"},{"title":"Migrate Documents","api":"POST https://api.velt.dev/v2/organizations/documents/migrate","href":"/api-reference/rest-apis/v2/documents/migrate-documents"},{"title":"Migrate Documents Status","api":"POST https://api.velt.dev/v2/organizations/documents/migrate/status","href":"/api-reference/rest-apis/v2/documents/migrate-documents-status"},{"title":"Update Access for Documents","api":"POST https://api.velt.dev/v2/organizations/documents/access/update","href":"/api-reference/rest-apis/v2/documents/update-document-access"},{"title":"Update Disabled State for Documents","api":"POST https://api.velt.dev/v2/organizations/documents/access/disablestate/update","href":"/api-reference/rest-apis/v2/documents/update-document-disable-state"}]},{"group":"Users","pages":[{"title":"Add Users","api":"POST https://api.velt.dev/v2/users/add","href":"/api-reference/rest-apis/v2/users/add-users"},{"title":"Get Users","api":"POST https://api.velt.dev/v2/users/get","href":"/api-reference/rest-apis/v2/users/get-users-v2"},{"title":"Update Users","api":"POST https://api.velt.dev/v2/users/update","href":"/api-reference/rest-apis/v2/users/update-users"},{"title":"Delete Users","api":"POST https://api.velt.dev/v2/users/delete","href":"/api-reference/rest-apis/v2/users/delete-users"}]},{"group":"User Groups","pages":[{"title":"Add User Groups","api":"POST https://api.velt.dev/v2/organizations/usergroups/add","href":"/api-reference/rest-apis/v2/user-groups/add-groups"},{"title":"Add Users to Groups","api":"POST https://api.velt.dev/v2/organizations/usergroups/users/add","href":"/api-reference/rest-apis/v2/user-groups/add-users-to-group"},{"title":"Delete Users from Groups","api":"POST https://api.velt.dev/v2/organizations/usergroups/users/delete","href":"/api-reference/rest-apis/v2/user-groups/delete-users-from-group"}]},{"group":"Comments Feature","pages":[{"group":"Comments Annotations","pages":[{"title":"Add Comment Annotations","api":"POST https://api.velt.dev/v2/commentannotations/add","href":"/api-reference/rest-apis/v2/comments-feature/comment-annotations/add-comment-annotations"},{"title":"Get Comment Annotations","api":"POST https://api.velt.dev/v2/commentannotations/get","href":"/api-reference/rest-apis/v2/comments-feature/comment-annotations/get-comment-annotations-v2"},{"title":"Update Comment Annotations","api":"POST https://api.velt.dev/v2/commentannotations/update","href":"/api-reference/rest-apis/v2/comments-feature/comment-annotations/update-comment-annotations"},{"title":"Delete Comment Annotations","api":"POST https://api.velt.dev/v2/commentannotations/delete","href":"/api-reference/rest-apis/v2/comments-feature/comment-annotations/delete-comment-annotations"},{"title":"Get Comment Annotations Count","api":"POST https://api.velt.dev/v2/commentannotations/count/get","href":"/api-reference/rest-apis/v2/comments-feature/comment-annotations/get-comment-annotations-count"}]},{"group":"Comments","pages":[{"title":"Add Comments","api":"POST https://api.velt.dev/v2/commentannotations/comments/add","href":"/api-reference/rest-apis/v2/comments-feature/comments/add-comments"},{"title":"Get Comments","api":"POST https://api.velt.dev/v2/commentannotations/comments/get","description":null,"href":"/api-reference/rest-apis/v2/comments-feature/comments/get-comments"},{"title":"Update Comments","api":"POST https://api.velt.dev/v2/commentannotations/comments/update","href":"/api-reference/rest-apis/v2/comments-feature/comments/update-comments"},{"title":"Delete Comments","api":"POST https://api.velt.dev/v2/commentannotations/comments/delete","description":null,"href":"/api-reference/rest-apis/v2/comments-feature/comments/delete-comments"}]}]},{"group":"Notifications","pages":[{"title":"Add Notifications","api":"POST https://api.velt.dev/v2/notifications/add","href":"/api-reference/rest-apis/v2/notifications/add-notifications"},{"title":"Get Notifications","api":"POST https://api.velt.dev/v2/notifications/get","href":"/api-reference/rest-apis/v2/notifications/get-notifications-v2"},{"title":"Update Notifications","api":"POST https://api.velt.dev/v2/notifications/update","href":"/api-reference/rest-apis/v2/notifications/update-notifications"},{"title":"Delete Notifications","api":"POST https://api.velt.dev/v2/notifications/delete","href":"/api-reference/rest-apis/v2/notifications/delete-notifications"},{"title":"Set Config","api":"POST https://api.velt.dev/v2/notifications/config/set","href":"/api-reference/rest-apis/v2/notifications/set-config"},{"title":"Get Config","api":"POST https://api.velt.dev/v2/notifications/config/get","href":"/api-reference/rest-apis/v2/notifications/get-config"}]},{"group":"Activity Logs","pages":[{"title":"Add Activity Logs","api":"POST https://api.velt.dev/v2/activities/add","href":"/api-reference/rest-apis/v2/activities/add-activities"},{"title":"Get Activity Logs","api":"POST https://api.velt.dev/v2/activities/get","href":"/api-reference/rest-apis/v2/activities/get-activities"},{"title":"Update Activity Logs","api":"POST https://api.velt.dev/v2/activities/update","href":"/api-reference/rest-apis/v2/activities/update-activities"},{"title":"Delete Activity Logs","api":"POST https://api.velt.dev/v2/activities/delete","href":"/api-reference/rest-apis/v2/activities/delete-activities"}]},{"group":"Recordings","pages":[{"title":"Get Recordings","api":"POST https://api.velt.dev/v2/recordings/get","href":"/api-reference/rest-apis/v2/recordings/get-recordings"}]},{"group":"GDPR","pages":[{"title":"Get All User Data","api":"POST https://api.velt.dev/v2/users/data/get","href":"/api-reference/rest-apis/v2/gdpr/get-all-user-data-gdpr"},{"title":"Delete All User Data","api":"POST https://api.velt.dev/v2/users/data/delete","href":"/api-reference/rest-apis/v2/gdpr/delete-all-user-data-gdpr"},{"title":"Get Delete All User Data Status","api":"POST https://api.velt.dev/v2/users/data/delete/status","href":"/api-reference/rest-apis/v2/gdpr/get-delete-user-data-status-gdpr"}]},{"group":"Access Control","pages":[{"title":"Generate Token","api":"POST https://api.velt.dev/v2/auth/generate_token","href":"/api-reference/rest-apis/v2/auth/generate-token"},{"title":"Add Permissions","api":"POST https://api.velt.dev/v2/auth/permissions/add","href":"/api-reference/rest-apis/v2/auth/add-permissions"},{"title":"Get Permissions","api":"POST https://api.velt.dev/v2/auth/permissions/get","href":"/api-reference/rest-apis/v2/auth/get-permissions"},{"title":"Remove Permissions","api":"POST https://api.velt.dev/v2/auth/permissions/remove","href":"/api-reference/rest-apis/v2/auth/remove-permissions"}]},{"group":"CRDT","pages":[{"title":"Get CRDT Data","api":"POST https://api.velt.dev/v2/crdt/get","href":"/api-reference/rest-apis/v2/crdt/get-crdt-data"},{"title":"Add CRDT Data","api":"POST https://api.velt.dev/v2/crdt/add","href":"/api-reference/rest-apis/v2/crdt/add-crdt-data"},{"title":"Update CRDT Data","api":"POST https://api.velt.dev/v2/crdt/update","href":"/api-reference/rest-apis/v2/crdt/update-crdt-data"}]},{"group":"Live State","pages":[{"title":"Broadcast Event","api":"POST https://api.velt.dev/v2/livestate/broadcast","href":"/api-reference/rest-apis/v2/livestate/broadcast-event"}]},{"group":"Presence","pages":[{"title":"Add Presence","api":"POST https://api.velt.dev/v2/presence/add","href":"/api-reference/rest-apis/v2/presence/add-presence"},{"title":"Update Presence","api":"POST https://api.velt.dev/v2/presence/update","href":"/api-reference/rest-apis/v2/presence/update-presence"},{"title":"Delete Presence","api":"POST https://api.velt.dev/v2/presence/delete","href":"/api-reference/rest-apis/v2/presence/delete-presence"}]},{"group":"Rewriter","pages":[{"title":"Ask AI","api":"POST https://api.velt.dev/v2/rewriter/ask-ai","href":"/api-reference/rest-apis/v2/rewriter/ask-ai"}]},{"group":"Review Workflow Builder","pages":[{"group":"Definitions","pages":[{"title":"Create Definition","api":"POST https://api.velt.dev/v2/workflow/definitions/create","href":"/api-reference/rest-apis/v2/approval-engine/definitions/create-definition"},{"title":"Update Definition","api":"POST https://api.velt.dev/v2/workflow/definitions/update","href":"/api-reference/rest-apis/v2/approval-engine/definitions/update-definition"},{"title":"Delete Definition","api":"POST https://api.velt.dev/v2/workflow/definitions/delete","href":"/api-reference/rest-apis/v2/approval-engine/definitions/delete-definition"},{"title":"Get Definition","api":"POST https://api.velt.dev/v2/workflow/definitions/get","href":"/api-reference/rest-apis/v2/approval-engine/definitions/get-definition"},{"title":"List Definitions","api":"POST https://api.velt.dev/v2/workflow/definitions/list","href":"/api-reference/rest-apis/v2/approval-engine/definitions/list-definitions"}]},{"group":"Executions","pages":[{"title":"Dispatch Execution","api":"POST https://api.velt.dev/v2/workflow/executions/dispatch","href":"/api-reference/rest-apis/v2/approval-engine/executions/dispatch-execution"},{"title":"Get Execution","api":"POST https://api.velt.dev/v2/workflow/executions/get","href":"/api-reference/rest-apis/v2/approval-engine/executions/get-execution"},{"title":"Cancel Execution","api":"POST https://api.velt.dev/v2/workflow/executions/cancel","href":"/api-reference/rest-apis/v2/approval-engine/executions/cancel-execution"},{"title":"Get Execution Events","api":"POST https://api.velt.dev/v2/workflow/executions/getEvents","href":"/api-reference/rest-apis/v2/approval-engine/executions/get-execution-events"},{"title":"List Executions","api":"POST https://api.velt.dev/v2/workflow/executions/list","href":"/api-reference/rest-apis/v2/approval-engine/executions/list-executions"}]},{"group":"Steps","pages":[{"title":"Record Reviewer Decision","api":"POST https://api.velt.dev/v2/workflow/steps/recordReviewerDecision","href":"/api-reference/rest-apis/v2/approval-engine/steps/record-reviewer-decision"},{"title":"Record Agent Resolution","api":"POST https://api.velt.dev/v2/workflow/steps/recordAgentResolution","href":"/api-reference/rest-apis/v2/approval-engine/steps/record-agent-resolution"},{"title":"Cancel Step","api":"POST https://api.velt.dev/v2/workflow/steps/cancel","href":"/api-reference/rest-apis/v2/approval-engine/steps/cancel-step"},{"title":"Resolve Step","api":"POST https://api.velt.dev/v2/workflow/steps/resolve","href":"/api-reference/rest-apis/v2/approval-engine/steps/resolve-step"}]}]},{"group":"Agents","pages":[{"title":"Create Agent","api":"POST https://api.velt.dev/v2/agents/create","href":"/api-reference/rest-apis/v2/agents/create"},{"title":"Get Agent(s)","api":"POST https://api.velt.dev/v2/agents/get","href":"/api-reference/rest-apis/v2/agents/get"},{"title":"Update Agent (Identity)","api":"POST https://api.velt.dev/v2/agents/update","href":"/api-reference/rest-apis/v2/agents/update"},{"title":"Delete Agent","api":"POST https://api.velt.dev/v2/agents/delete","href":"/api-reference/rest-apis/v2/agents/delete"},{"title":"Extract Agents from File","api":"POST https://api.velt.dev/v2/agents/extract","href":"/api-reference/rest-apis/v2/agents/extract"},{"group":"Versioning","pages":[{"title":"Update Agent Version","api":"POST https://api.velt.dev/v2/agents/version/update","href":"/api-reference/rest-apis/v2/agents/version/update"},{"title":"List Agent Versions","api":"POST https://api.velt.dev/v2/agents/versions/list","href":"/api-reference/rest-apis/v2/agents/versions/list"},{"title":"Restore Agent Version","api":"POST https://api.velt.dev/v2/agents/versions/restore","href":"/api-reference/rest-apis/v2/agents/versions/restore"}]},{"group":"Execution","pages":[{"title":"Run Execution","api":"POST https://api.velt.dev/v2/agents/execution/run","href":"/api-reference/rest-apis/v2/agents/execution/run"},{"title":"Get Execution","api":"POST https://api.velt.dev/v2/agents/execution/get","href":"/api-reference/rest-apis/v2/agents/execution/get"},{"title":"List Executions","api":"POST https://api.velt.dev/v2/agents/execution/list","href":"/api-reference/rest-apis/v2/agents/execution/list"},{"title":"Count Executions","api":"POST https://api.velt.dev/v2/agents/execution/count","href":"/api-reference/rest-apis/v2/agents/execution/count"}]},{"group":"Fix It Everywhere","pages":[{"title":"Estimate Fix It Everywhere","api":"POST https://api.velt.dev/v2/agents/fix-it-everywhere/estimate","href":"/api-reference/rest-apis/v2/agents/fix-it-everywhere/estimate"}]},{"group":"Prompt","pages":[{"title":"Enhance Prompt","api":"POST https://api.velt.dev/v2/agents/prompt/enhance","href":"/api-reference/rest-apis/v2/agents/prompt/enhance"},{"title":"Validate Prompt","api":"POST https://api.velt.dev/v2/agents/prompt/validate","href":"/api-reference/rest-apis/v2/agents/prompt/validate"},{"title":"Refine Prompt","api":"POST https://api.velt.dev/v2/agents/prompt/refine","href":"/api-reference/rest-apis/v2/agents/prompt/refine"}]},{"group":"Config","pages":[{"title":"Resolve Config","api":"POST https://api.velt.dev/v2/agents/config/resolve","href":"/api-reference/rest-apis/v2/agents/config/resolve"}]},{"group":"Analytics","pages":[{"title":"Get Agent Analytics","api":"POST https://api.velt.dev/v2/agents/analytics/get","href":"/api-reference/rest-apis/v2/agents/analytics/get"}]},{"group":"Groups","pages":[{"title":"Create Agent Group","api":"POST https://api.velt.dev/v2/agents/groups/create","href":"/api-reference/rest-apis/v2/agents/groups/create"},{"title":"Get Agent Group","api":"POST https://api.velt.dev/v2/agents/groups/get","href":"/api-reference/rest-apis/v2/agents/groups/get"},{"title":"List Agent Groups","api":"POST https://api.velt.dev/v2/agents/groups/list","href":"/api-reference/rest-apis/v2/agents/groups/list"},{"title":"Update Agent Group","api":"POST https://api.velt.dev/v2/agents/groups/update","href":"/api-reference/rest-apis/v2/agents/groups/update"},{"title":"Delete Agent Group","api":"POST https://api.velt.dev/v2/agents/groups/delete","href":"/api-reference/rest-apis/v2/agents/groups/delete"},{"title":"Add Agents to Group","api":"POST https://api.velt.dev/v2/agents/groups/add-agents","href":"/api-reference/rest-apis/v2/agents/groups/add-agents"},{"title":"Remove Agents from Group","api":"POST https://api.velt.dev/v2/agents/groups/remove-agents","href":"/api-reference/rest-apis/v2/agents/groups/remove-agents"}]},{"group":"Checks","pages":[{"title":"Checks Overview","href":"/api-reference/rest-apis/v2/agents/checks/overview"},{"title":"List Checks","api":"POST https://api.velt.dev/v2/agents/checks/list","href":"/api-reference/rest-apis/v2/agents/checks/list"},{"title":"List Check Comments","api":"POST https://api.velt.dev/v2/agents/checks/comments/list","href":"/api-reference/rest-apis/v2/agents/checks/comments/list"},{"title":"Get Site Score","api":"POST https://api.velt.dev/v2/agents/checks/score/get","href":"/api-reference/rest-apis/v2/agents/checks/score/get"},{"title":"Get Capture Focus","api":"POST https://api.velt.dev/v2/agents/checks/capture-focus/get","href":"/api-reference/rest-apis/v2/agents/checks/capture-focus/get"},{"title":"Get Source Location","api":"POST https://api.velt.dev/v2/agents/checks/source-location/get","href":"/api-reference/rest-apis/v2/agents/checks/source-location/get"},{"title":"Resolve Comment","api":"POST https://api.velt.dev/v2/agents/checks/comments/resolve","href":"/api-reference/rest-apis/v2/agents/checks/comments/resolve"},{"title":"Resolve Check","api":"POST https://api.velt.dev/v2/agents/checks/resolve","href":"/api-reference/rest-apis/v2/agents/checks/resolve"},{"title":"Reject Comment","api":"POST https://api.velt.dev/v2/agents/checks/comments/reject","href":"/api-reference/rest-apis/v2/agents/checks/comments/reject"},{"title":"Reopen Comment","api":"POST https://api.velt.dev/v2/agents/checks/comments/reopen","href":"/api-reference/rest-apis/v2/agents/checks/comments/reopen"},{"title":"Exclude Check","api":"POST https://api.velt.dev/v2/agents/checks/exclude","href":"/api-reference/rest-apis/v2/agents/checks/exclude"},{"title":"Include Check","api":"POST https://api.velt.dev/v2/agents/checks/include","href":"/api-reference/rest-apis/v2/agents/checks/include"},{"title":"Set Check Owner","api":"POST https://api.velt.dev/v2/agents/checks/owner/set","href":"/api-reference/rest-apis/v2/agents/checks/owner/set"},{"title":"Get Check Settings","api":"POST https://api.velt.dev/v2/agents/checks/settings/get","href":"/api-reference/rest-apis/v2/agents/checks/settings/get"},{"title":"Update Check Settings","api":"POST https://api.velt.dev/v2/agents/checks/settings/update","href":"/api-reference/rest-apis/v2/agents/checks/settings/update"},{"title":"Attach Comment","api":"POST https://api.velt.dev/v2/agents/checks/comments/attach","href":"/api-reference/rest-apis/v2/agents/checks/comments/attach"},{"title":"Detach Comment","api":"POST https://api.velt.dev/v2/agents/checks/comments/detach","href":"/api-reference/rest-apis/v2/agents/checks/comments/detach"},{"title":"List Rescan Agents","api":"POST https://api.velt.dev/v2/agents/checks/rescan-agents/list","href":"/api-reference/rest-apis/v2/agents/checks/rescan-agents/list"}]}]},{"group":"Memory","pages":[{"group":"Search and Ask","pages":[{"title":"Search Judgments","api":"POST https://api.velt.dev/v2/memory/search","href":"/api-reference/rest-apis/v2/memory/search"},{"title":"Ask Memory","api":"POST https://api.velt.dev/v2/memory/ask","href":"/api-reference/rest-apis/v2/memory/ask"},{"title":"Suggest Decision","api":"POST https://api.velt.dev/v2/memory/suggest","href":"/api-reference/rest-apis/v2/memory/suggest"},{"title":"Query Judgments","api":"POST https://api.velt.dev/v2/memory/judgments/query","href":"/api-reference/rest-apis/v2/memory/judgments/query"}]},{"group":"Knowledge","pages":[{"title":"Ingest Knowledge","api":"POST https://api.velt.dev/v2/memory/knowledge/ingest","href":"/api-reference/rest-apis/v2/memory/knowledge/ingest"},{"title":"Get Ingest Status","api":"POST https://api.velt.dev/v2/memory/knowledge/ingest-status","href":"/api-reference/rest-apis/v2/memory/knowledge/ingest-status"},{"title":"Get Upload URL","api":"POST https://api.velt.dev/v2/memory/knowledge/upload-url","href":"/api-reference/rest-apis/v2/memory/knowledge/upload-url"},{"title":"Search Knowledge Base","api":"POST https://api.velt.dev/v2/memory/knowledge/search","href":"/api-reference/rest-apis/v2/memory/knowledge/search"},{"title":"List Knowledge Sources","api":"POST https://api.velt.dev/v2/memory/knowledge/list","href":"/api-reference/rest-apis/v2/memory/knowledge/list"},{"title":"List Extracted Rules","api":"POST https://api.velt.dev/v2/memory/knowledge/rules","href":"/api-reference/rest-apis/v2/memory/knowledge/rules"},{"title":"Update Knowledge","api":"POST https://api.velt.dev/v2/memory/knowledge/update","href":"/api-reference/rest-apis/v2/memory/knowledge/update"},{"title":"Download Canonical Markdown","api":"POST https://api.velt.dev/v2/memory/knowledge/download","href":"/api-reference/rest-apis/v2/memory/knowledge/download"},{"title":"Delete Knowledge","api":"POST https://api.velt.dev/v2/memory/knowledge/delete","href":"/api-reference/rest-apis/v2/memory/knowledge/delete"}]},{"group":"Insights","pages":[{"title":"Get Reviewer Profile","api":"POST https://api.velt.dev/v2/memory/profiles/get","href":"/api-reference/rest-apis/v2/memory/profiles/get"},{"title":"Get Patterns","api":"POST https://api.velt.dev/v2/memory/patterns/get","href":"/api-reference/rest-apis/v2/memory/patterns/get"},{"title":"Get Stats","api":"POST https://api.velt.dev/v2/memory/stats/get","href":"/api-reference/rest-apis/v2/memory/stats/get"}]},{"group":"Alerts","pages":[{"title":"List Alerts","api":"POST https://api.velt.dev/v2/memory/alerts/list","href":"/api-reference/rest-apis/v2/memory/alerts/list"},{"title":"Dismiss Alert","api":"POST https://api.velt.dev/v2/memory/alerts/dismiss","href":"/api-reference/rest-apis/v2/memory/alerts/dismiss"},{"title":"Mark Alert Actioned","api":"POST https://api.velt.dev/v2/memory/alerts/action","href":"/api-reference/rest-apis/v2/memory/alerts/action"},{"title":"Get Alert Config","api":"POST https://api.velt.dev/v2/memory/alerts/config/get","href":"/api-reference/rest-apis/v2/memory/alerts/config/get"},{"title":"Update Alert Config","api":"POST https://api.velt.dev/v2/memory/alerts/config/update","href":"/api-reference/rest-apis/v2/memory/alerts/config/update"}]}]},{"group":"Workspace","pages":[{"group":"Account Creation and Verification","pages":[{"title":"Create Workspace","api":"POST https://api.velt.dev/v2/workspace/create","href":"/api-reference/rest-apis/v2/workspace/create"},{"title":"Get Workspace","api":"POST https://api.velt.dev/v2/workspace/get","href":"/api-reference/rest-apis/v2/workspace/get"},{"title":"Get Email Verification Status","api":"POST https://api.velt.dev/v2/workspace/email/status","href":"/api-reference/rest-apis/v2/workspace/email-status"},{"title":"Send Login Link","api":"POST https://api.velt.dev/v2/workspace/email/send-login-link","href":"/api-reference/rest-apis/v2/workspace/send-login-link"}]},{"group":"API Key Management","pages":[{"title":"Create API Key","api":"POST https://api.velt.dev/v2/workspace/apikey/create","href":"/api-reference/rest-apis/v2/workspace/apikey-create"},{"title":"Get API Keys","api":"POST https://api.velt.dev/v2/workspace/apikeys/get","href":"/api-reference/rest-apis/v2/workspace/apikeys-get"},{"title":"Update API Key","api":"POST https://api.velt.dev/v2/workspace/apikey/update","href":"/api-reference/rest-apis/v2/workspace/apikey-update"}]},{"group":"API Key Configuration","pages":[{"title":"Get API Key Config","api":"POST https://api.velt.dev/v2/workspace/apikeyconfig/get","href":"/api-reference/rest-apis/v2/workspace/apikeyconfig-get"},{"title":"Update API Key Config","api":"POST https://api.velt.dev/v2/workspace/apikeyconfig/update","href":"/api-reference/rest-apis/v2/workspace/apikeyconfig-update"}]},{"group":"Auth Tokens","pages":[{"title":"Get Auth Tokens","api":"POST https://api.velt.dev/v2/workspace/authtokens/get","href":"/api-reference/rest-apis/v2/workspace/authtokens-get"},{"title":"Reset Auth Token","api":"POST https://api.velt.dev/v2/workspace/authtoken/reset","href":"/api-reference/rest-apis/v2/workspace/authtoken-reset"}]},{"group":"Manage Domains","pages":[{"title":"Add Domains","api":"POST https://api.velt.dev/v2/workspace/domains/add","href":"/api-reference/rest-apis/v2/workspace/add-domain"},{"title":"Delete Domains","api":"POST https://api.velt.dev/v2/workspace/domains/delete","href":"/api-reference/rest-apis/v2/workspace/delete-domain"},{"title":"Get Domains","api":"POST https://api.velt.dev/v2/workspace/domains/get","href":"/api-reference/rest-apis/v2/workspace/domains-get"}]},{"group":"Email Notifications Configuration","pages":[{"title":"Get Email Config","api":"POST https://api.velt.dev/v2/workspace/emailconfig/get","href":"/api-reference/rest-apis/v2/workspace/emailconfig-get"},{"title":"Update Email Config","api":"POST https://api.velt.dev/v2/workspace/emailconfig/update","href":"/api-reference/rest-apis/v2/workspace/emailconfig-update"}]},{"group":"Basic Webhooks","pages":[{"title":"Get Webhook Config","api":"POST https://api.velt.dev/v2/workspace/webhookconfig/get","href":"/api-reference/rest-apis/v2/workspace/webhookconfig-get"},{"title":"Update Webhook Config","api":"POST https://api.velt.dev/v2/workspace/webhookconfig/update","href":"/api-reference/rest-apis/v2/workspace/webhookconfig-update"}]},{"group":"Advanced Webhooks","pages":[{"title":"Get Advanced Webhook Config","api":"POST https://api.velt.dev/v2/workspace/advancedwebhookconfig/get","href":"/api-reference/rest-apis/v2/workspace/advancedwebhookconfig-get"},{"title":"Update Advanced Webhook Config","api":"POST https://api.velt.dev/v2/workspace/advancedwebhookconfig/update","href":"/api-reference/rest-apis/v2/workspace/advancedwebhookconfig-update"},{"title":"Create Advanced Webhook Endpoint","api":"POST https://api.velt.dev/v2/workspace/advancedwebhook/endpoints/create","href":"/api-reference/rest-apis/v2/workspace/advancedwebhook-endpoints-create"},{"title":"Get Advanced Webhook Endpoints","api":"POST https://api.velt.dev/v2/workspace/advancedwebhook/endpoints/get","href":"/api-reference/rest-apis/v2/workspace/advancedwebhook-endpoints-get"},{"title":"Update Advanced Webhook Endpoint","api":"POST https://api.velt.dev/v2/workspace/advancedwebhook/endpoints/update","href":"/api-reference/rest-apis/v2/workspace/advancedwebhook-endpoints-update"},{"title":"Delete Advanced Webhook Endpoint","api":"POST https://api.velt.dev/v2/workspace/advancedwebhook/endpoints/delete","href":"/api-reference/rest-apis/v2/workspace/advancedwebhook-endpoints-delete"},{"title":"Get Advanced Webhook Endpoint Secret","api":"POST https://api.velt.dev/v2/workspace/advancedwebhook/endpoints/secret/get","href":"/api-reference/rest-apis/v2/workspace/advancedwebhook-endpoints-secret-get"}]},{"group":"Activity Configuration","pages":[{"title":"Get Activity Config","api":"POST https://api.velt.dev/v2/workspace/activityconfig/get","href":"/api-reference/rest-apis/v2/workspace/activityconfig-get"},{"title":"Update Activity Config","api":"POST https://api.velt.dev/v2/workspace/activityconfig/update","href":"/api-reference/rest-apis/v2/workspace/activityconfig-update"}]},{"group":"Notification Configuration","pages":[{"title":"Get Notification Config","api":"POST https://api.velt.dev/v2/workspace/notificationconfig/get","href":"/api-reference/rest-apis/v2/workspace/notificationconfig-get"},{"title":"Update Notification Config","api":"POST https://api.velt.dev/v2/workspace/notificationconfig/update","href":"/api-reference/rest-apis/v2/workspace/notificationconfig-update"}]},{"group":"Permission Provider Configuration","pages":[{"title":"Get Permission Provider Config","api":"POST https://api.velt.dev/v2/workspace/permissionproviderconfig/get","href":"/api-reference/rest-apis/v2/workspace/permissionproviderconfig-get"},{"title":"Update Permission Provider Config","api":"POST https://api.velt.dev/v2/workspace/permissionproviderconfig/update","href":"/api-reference/rest-apis/v2/workspace/permissionproviderconfig-update"}]}]}]},{"group":"v1","pages":[{"group":"Organizations","pages":[{"title":"Add Organizations","api":"POST https://api.velt.dev/v1/organizations/add","href":"/api-reference/rest-apis/v1/organizations/add-organizations"},{"title":"Get Organizations","api":"POST https://api.velt.dev/v1/organizations/get","href":"/api-reference/rest-apis/v1/organizations/get-organizations"},{"title":"Update Organizations","api":"POST https://api.velt.dev/v1/organizations/update","href":"/api-reference/rest-apis/v1/organizations/update-organizations"},{"title":"Delete Organizations","api":"POST https://api.velt.dev/v1/organizations/delete","href":"/api-reference/rest-apis/v1/organizations/delete-organizations"},{"title":"Update Disabled State for Organizations","api":"POST https://api.velt.dev/v1/organizations/access/disablestate/update","href":"/api-reference/rest-apis/v1/organizations/update-organization-disable-state"}]},{"group":"Folders","pages":[{"title":"Add Folder","api":"POST https://api.velt.dev/v1/organizations/folders/add","href":"/api-reference/rest-apis/v1/folders/add-folder"},{"title":"Get Folders","api":"POST https://api.velt.dev/v1/organizations/folders/get","href":"/api-reference/rest-apis/v1/folders/get-folders"},{"title":"Update Folder","api":"POST https://api.velt.dev/v1/organizations/folders/update","href":"/api-reference/rest-apis/v1/folders/update-folder"},{"title":"Update Access for Folders","api":"POST https://api.velt.dev/v1/organizations/folders/access/update","href":"/api-reference/rest-apis/v1/folders/update-folder-access"}]},{"group":"Documents","pages":[{"title":"Add Documents","api":"POST https://api.velt.dev/v1/organizations/documents/add","href":"/api-reference/rest-apis/v1/documents/add-documents"},{"title":"Get Documents","api":"POST https://api.velt.dev/v1/organizations/documents/get","href":"/api-reference/rest-apis/v1/documents/get-documents"},{"title":"Update Documents","api":"POST https://api.velt.dev/v1/organizations/documents/update","href":"/api-reference/rest-apis/v1/documents/update-documents"},{"title":"Delete Documents","api":"POST https://api.velt.dev/v1/organizations/documents/delete","href":"/api-reference/rest-apis/v1/documents/delete-documents"},{"title":"Move Documents","api":"POST https://api.velt.dev/v1/organizations/documents/move","href":"/api-reference/rest-apis/v1/documents/move-documents"},{"title":"Update Access for Documents","api":"POST https://api.velt.dev/v1/organizations/documents/access/update","href":"/api-reference/rest-apis/v1/documents/update-document-access"},{"title":"Update Disabled State for Documents","api":"POST https://api.velt.dev/v1/organizations/documents/access/disablestate/update","href":"/api-reference/rest-apis/v1/documents/update-document-disable-state"}]},{"group":"Users","pages":[{"title":"Add Users","api":"POST https://api.velt.dev/v1/users/add","href":"/api-reference/rest-apis/v1/users/add-users"},{"title":"Get Users","api":"POST https://api.velt.dev/v1/users/get","href":"/api-reference/rest-apis/v1/users/get-users"},{"title":"Update Users","api":"POST https://api.velt.dev/v1/users/update","href":"/api-reference/rest-apis/v1/users/update-users"},{"title":"Delete Users","api":"POST https://api.velt.dev/v1/users/delete","href":"/api-reference/rest-apis/v1/users/delete-users"}]},{"group":"User Groups","pages":[{"title":"Add User Groups","api":"POST https://api.velt.dev/v1/organizations/usergroups/add","href":"/api-reference/rest-apis/v1/user-groups/add-groups"},{"title":"Add Users to Groups","api":"POST https://api.velt.dev/v1/organizations/usergroups/users/add","href":"/api-reference/rest-apis/v1/user-groups/add-users-to-group"},{"title":"Delete Users from Groups","api":"POST https://api.velt.dev/v1/organizations/usergroups/users/delete","href":"/api-reference/rest-apis/v1/user-groups/delete-users-from-group"}]},{"group":"Comments Feature","pages":[{"group":"Comments Annotations","pages":[{"title":"Add Comment Annotations","api":"POST https://api.velt.dev/v1/commentannotations/add","href":"/api-reference/rest-apis/v1/comments-feature/comment-annotations/add-comment-annotations"},{"title":"Get Comment Annotations","api":"POST https://api.velt.dev/v1/commentannotations/get","href":"/api-reference/rest-apis/v1/comments-feature/comment-annotations/get-comment-annotations"},{"title":"Update Comment Annotations","api":"POST https://api.velt.dev/v1/commentannotations/update","href":"/api-reference/rest-apis/v1/comments-feature/comment-annotations/update-comment-annotations"},{"title":"Delete Comment Annotations","api":"POST https://api.velt.dev/v1/commentannotations/delete","href":"/api-reference/rest-apis/v1/comments-feature/comment-annotations/delete-comment-annotations"},{"title":"Get Comment Annotations Count","api":"POST https://api.velt.dev/v1/commentannotations/count/get","href":"/api-reference/rest-apis/v1/comments-feature/comment-annotations/get-comment-annotations-count"}]},{"group":"Comments","pages":[{"title":"Add Comments","api":"POST https://api.velt.dev/v1/commentannotations/comments/add","href":"/api-reference/rest-apis/v1/comments-feature/comments/add-comments"},{"title":"Get Comments","api":"POST https://api.velt.dev/v1/commentannotations/comments/get","href":"/api-reference/rest-apis/v1/comments-feature/comments/get-comments"},{"title":"Update Comments","api":"POST https://api.velt.dev/v1/commentannotations/comments/update","href":"/api-reference/rest-apis/v1/comments-feature/comments/update-comments"},{"title":"Delete Comments","api":"POST https://api.velt.dev/v1/commentannotations/comments/delete","href":"/api-reference/rest-apis/v1/comments-feature/comments/delete-comments"}]}]},{"group":"Notifications","pages":[{"title":"Add Notifications","api":"POST https://api.velt.dev/v1/notifications/add","href":"/api-reference/rest-apis/v1/notifications/add-notifications"},{"title":"Get Notifications","api":"POST https://api.velt.dev/v1/notifications/get","href":"/api-reference/rest-apis/v1/notifications/get-notifications"},{"title":"Update Notifications","api":"POST https://api.velt.dev/v1/notifications/update","href":"/api-reference/rest-apis/v1/notifications/update-notifications"},{"title":"Delete Notifications","api":"POST https://api.velt.dev/v1/notifications/delete","href":"/api-reference/rest-apis/v1/notifications/delete-notifications"},{"title":"Set Config","api":"POST https://api.velt.dev/v1/notifications/config/set","href":"/api-reference/rest-apis/v1/notifications/set-config"},{"title":"Get Config","api":"POST https://api.velt.dev/v1/notifications/config/get","href":"/api-reference/rest-apis/v1/notifications/get-config"}]},{"group":"Access Control","pages":[{"title":"Generate Token","api":"POST https://api.velt.dev/v1/auth/token/get","href":"/api-reference/rest-apis/v1/auth/generate-token"}]},{"group":"GDPR","pages":[{"title":"Get All User Data","api":"POST https://api.velt.dev/v1/users/data/get","href":"/api-reference/rest-apis/v1/gdpr/get-all-user-data-gdpr"},{"title":"Delete All User Data","api":"POST https://api.velt.dev/v1/users/data/delete","href":"/api-reference/rest-apis/v1/
[...]
